/*
 * Level.h
 *
 *  Created on: 2009-07-10
 *      Author: wasyl
 */

#ifndef LEVEL_H_
#define LEVEL_H_

#include "Tile.h"
#include "../prep/ent/World.h"

class Level
{
private:
	Tile *tiles[40][30];
	int mGarbageCount;

public:
	Level();
	virtual ~Level();

	Tile *tile(int x, int y);
	void setup();

	void addTiles(World *world);

	Tile *collision(Vec where);

	int garbageCount() { return mGarbageCount; }
};

#endif /* LEVEL_H_ */
